import { Host, h } from "@stencil/core";
export class LmvzChip {
    text;
    render() {
        return h(Host, { key: 'd128e24bb90891ebd13d13a8e27c06782363cace' }, this.text);
    }
    static get is() { return "lmvz-chip"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["lmvz-chip.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["lmvz-chip.css"]
        };
    }
    static get properties() {
        return {
            "text": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": true,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "text"
            }
        };
    }
}
